'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _themeY = require('theme-y');

var _reactUtilsY = require('react-utils-y');

var _svg = require('./svg');

var svgData = _interopRequireWildcard(_svg);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }
// import {Theme} from '../theme/index'; //本地
//线上


var Svg = function (_Theme) {
    _inherits(Svg, _Theme);

    function Svg(props) {
        _classCallCheck(this, Svg);

        var _this = _possibleConstructorReturn(this, (Svg.__proto__ || Object.getPrototypeOf(Svg)).call(this, props));

        var _state = {};
        _this.state = _reactUtilsY._Object.merge(_this.state || {}, _state);
        return _this;
    }

    _createClass(Svg, [{
        key: 'render',
        value: function render() {
            var props = this.props;
            var SvgDom = svgData[props.type || "RadioOn"];
            return _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(SvgDom, { width: props.width, height: props.height, fill: props.fill, style: props.style,
                    svgTheme: this.state.theme.default.svg })
            );
        }
    }]);

    return Svg;
}(_themeY.Theme);

exports.default = Svg;
//# sourceMappingURL=index.js.map